#! make
#
# Makefile for Lander Version 1.0 by Mike Sweet
#
# Revision History:
#
#  Who               When          What
#  ----------------- ------------- -------------------
#  GenMake 1.2       6/18/91       Initial creation
#  Mike Sweet        6/20/91       Added installation rule
#

#
# Program definitions and options.
#

SHELL	=	/bin/sh
CC	=	gcc -Wall
FC	=	f77
C++	=	g++
NROFF	=	nroff
LEX	=	lex
YACC	=	yacc -d
AR	=	ar
RANLIB	=	ar ts

OPT	=	-O3
CFLAGS	=	$(OPT)
C++FLAGS	=	$(CFLAGS)
FFLAGS	=	$(OPT)
LDFLAGS	=	-s
LIBS	=	-lgl_s	-lm	-lfastm	-lc_s

TARGETS	=	lander	lander.6
BINDIR	=	/usr/local
MANDIR	=	/usr/catman/local/cat6

#
# Default make rules...
#

.SUFFIXES: .man .1 .2 .3 .4 .5 .6 .7 .8 .ms .doc .c .cc .f .F .r .o .out .a

.c.o:
	$(CC) $(CFLAGS) -c $< 
.cc.o:
	$(C++) $(CFLAGS) -c $< 
.f.o .F.o .r.o:
	$(FC) $(FFLAGS) -c $< 
.y.o:
	$(YACC) $<
	$(CC) $(CFLAGS) -c y.tab.c -o $@
	rm -f y.tab.c
.l.o:
	$(LEX) $<
	$(CC) $(CFLAGS) -c lex.yy.c -o $@
	rm -f lex.yy.c
.man.1 .man.2 .man.3 .man.4 .man.5 .man.6 .man.7 .man.8:
	rm -f $@
	$(NROFF) -man $< >$@
.ms.doc:
	rm -f $@
	$(NROFF) -ms $< >$@
.o.a:
	rm -f $@
	$(AR) -cr $@ $<
	$(RANLIB) $@
.o.out .o:
	$(CC) $(LDFLAGS) $(OPT) $< -o $@ $(LIBS)

#
# Make ALL targets...
#

all: $(TARGETS)

#
# Install ALL targets...
#

install: all
	cp lander $(BINDIR)
	cp lander.6 $(MANDIR)

#
# lander
#

LANDER_SRCS	=	lander.c
LANDER_HDRS	=
LANDER_OBJS	=	lander.o

lander:	$(LANDER_OBJS)
$(LANDER_OBJS):	$(LANDER_HDRS)

#
# lander.6
#

LANDER_6_SRCS	=	lander.man
lander.6:	$(LANDER_6_SRCS)

